## Class TShellApplication

Description

TShellApplication class.

TShellApplication is the base class for developing command-line PRADO tools that share the same configurations as their Web application counterparts.

A typical usage of TShellApplication in a command-line PHP script is as follows:

     require_once('path/to/prado.php');
     $application=new TShellApplication('path/to/application.xml');
     $application->run();
     // perform command-line tasks here

Since the application instance has access to all configurations, including path aliases, modules and parameters, the command-line script has nearly the same accessibility to resources as the PRADO Web applications.

- since: 3.1.0
- version: $Id: TShellApplication.php 1680 2007-02-07 19:04:38Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /TShellApplication.php (line 36)

    TComponent
       |
       --TApplication
          |
          --TShellApplication

Method Summary
void run ()
Methods
run (line 43)

Runs the application.

This method overrides the parent implementation by initializing application with configurations specified when it is created.

- access: public

void run ()

Redefinition of:

TApplication::run()
  Executes the lifecycles of the application.

#### Inherited Methods

Inherited From TApplication

> TApplication::__construct()
> TApplication::applyConfiguration()
> TApplication::clearGlobalState()
> TApplication::completeRequest()
> TApplication::flushOutput()
> TApplication::getApplicationStatePersister()
> TApplication::getAssetManager()
> TApplication::getAuthorizationRules()
> TApplication::getBasePath()
> TApplication::getCache()
> TApplication::getConfigurationFile()
> TApplication::getErrorHandler()
> TApplication::getGlobalization()
> TApplication::getGlobalState()
> TApplication::getID()
> TApplication::getMode()
> TApplication::getModule()
> TApplication::getModules()
> TApplication::getParameters()
> TApplication::getRequest()
> TApplication::getRequestCompleted()
> TApplication::getResponse()
> TApplication::getRuntimePath()
> TApplication::getSecurityManager()
> TApplication::getService()
> TApplication::getSession()
> TApplication::getUniqueID()
> TApplication::getUser()
> TApplication::initApplication()
> TApplication::loadGlobals()
> TApplication::onAuthentication()
> TApplication::onAuthenticationComplete()
> TApplication::onAuthorization()
> TApplication::onAuthorizationComplete()
> TApplication::onBeginRequest()
> TApplication::onEndRequest()
> TApplication::onError()
> TApplication::onLoadState()
> TApplication::onLoadStateComplete()
> TApplication::onPreFlushOutput()
> TApplication::onPreRunService()
> TApplication::onSaveState()
> TApplication::onSaveStateComplete()
> TApplication::resolvePaths()
> TApplication::run()
> TApplication::runService()
> TApplication::saveGlobals()
> TApplication::setApplicationStatePersister()
> TApplication::setAssetManager()
> TApplication::setBasePath()
> TApplication::setCache()
> TApplication::setConfigurationFile()
> TApplication::setErrorHandler()
> TApplication::setGlobalization()
> TApplication::setGlobalState()
> TApplication::setID()
> TApplication::setMode()
> TApplication::setModule()
> TApplication::setRequest()
> TApplication::setResponse()
> TApplication::setRuntimePath()
> TApplication::setSecurityManager()
> TApplication::setService()
> TApplication::setSession()
> TApplication::setUser()
> TApplication::startService()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Class Constants

#### Inherited Constants

Inherited from TApplication

> TApplication::CONFIGCACHE_FILE
> TApplication::CONFIG_FILE
> TApplication::CONFIG_FILE_EXT
> TApplication::GLOBAL_FILE
> TApplication::PAGE_SERVICE_ID
> TApplication::RUNTIME_PATH
> TApplication::STATE_DEBUG
> TApplication::STATE_NORMAL
> TApplication::STATE_OFF
> TApplication::STATE_PERFORMANCE

Documentation generated on Mon, 21 Apr 2008 11:36:11 -0400 by phpDocumentor 1.3.0RC4